## ConVX 2.0：机器视觉解决方案集成开发环境


一、产品简介
ConVX 2.0是一款集开发、调试和运行于一体的可视化机器视觉解决方案集成开发环境，以图形化0代码的形式调用康耐视VisionPro的算法工具，用户自定义算法工具，深度学习算法工具。帮助工程师高效、便捷地完成视觉项目解决方案编制，覆盖机器视觉行业的主流应用场景。

![ConVX 2.0 主界面](screenshots/主界面.png)

功能特性

• 易用化：图形化编程，简单易懂，可视化界面方便调试。

• 平台化：开放平台，兼容多种硬件设备和通讯协议，支持二次开发。

• 标准化：满足工厂标准化需求，实现统一的框架、编程风格和界面风格。

• 智能化：支持算法参数智能推荐、生产数据深度挖掘与智能分析。


二、运行环境

• 操作系统：Win10(X64)1900版本及以上。

• 软件环境：需安装.NET Framework 4.8及以上版本，Cognex-VisionPro软件（8.2-9.21版本）。

• 硬件支持：推荐使用Intel Core 9代 I5以上处理器+16G内存，千兆网卡。


三、加密方式

• 软授权：通过Virbox软件双击授权文件生效。（`授权文件位于lic目录下，双击运行即可`）

• 硬授权：插入硬件加密狗即可生效。


四、软件界面与功能

软件界面

• 启动引导界面：新建解决方案、查看最近打开文件、示例和快速入门。

• 主界面：流程设计区、图像显示区、结果输出区、工具栏及功能模块入口，支持设计和运行模式切换。


核心功能

• HMI界面设计器：丰富的控件工具，支持“所见即所得”设计。

• 软件工具：

• 信号工具：接收外界信号，触发后续流程。

• 业务工具：数据计算、读写、存储等处理。

• 算法工具：视觉算法功能，处理图像输出数据。

• 逻辑工具：构建复杂流程逻辑。

• 高级功能：

• 设备管理：添加、连接多种硬件设备。

• 变量管理：实现数据在不同流程间的传递。

• 配方管理：针对不同检测参数的料件进行管理。

• 数据管理：自动存储和统计分析数据。



